function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const babel = require("babel-core");
const opt = {
	auxiliaryCommentAfter: null,
	auxiliaryCommentBefore: null,
	babelrc: false,
	comments: true,
	compact: "auto",
	env: {},
	parserOpts: {},
	plugins: [],
	presets: [],
	retainLines: false,
	sourceType: "module"
};

let task = {
	transform(code, {
		auxiliaryCommentAfter = opt.auxiliaryCommentAfter,
		auxiliaryCommentBefore = opt.auxiliaryCommentBefore,
		babelrc = opt.babelrc,
		comments = opt.comments,
		compact = opt.compact,
		env = opt.env,
		parserOpts = opt.parserOpts,
		plugins = opt.plugins,
		presets = opt.presets,
		retainLines = opt.retainLines,
		sourceType = opt.sourceType
	}) {
		return _asyncToGenerator(function* () {
			let options = {
				auxiliaryCommentAfter, auxiliaryCommentBefore, comments, compact,
				babelrc, env, parserOpts, plugins, presets, sourceType
			};
			result = babel.transform(code, options);
			code = result.code;
			return code;
		})();
	}
};

exports.task = task;