const babel = require("babel-core");
const opt = {
	auxiliaryCommentAfter: null, 
	auxiliaryCommentBefore: null, 
	babelrc: false, 
	comments: true, 
	compact: "auto", 
	env: {}, 
	parserOpts: {}, 
	plugins: [], 
	presets: [], 
	retainLines: false,
	sourceType: "module", 
};


let task = {
	async transform (code, {
		auxiliaryCommentAfter = opt.auxiliaryCommentAfter, 
		auxiliaryCommentBefore = opt.auxiliaryCommentBefore, 
		babelrc = opt.babelrc, 
		comments = opt.comments, 
		compact = opt.compact, 
		env = opt.env, 
		parserOpts = opt.parserOpts, 
		plugins = opt.plugins, 
		presets = opt.presets, 
		retainLines = opt.retainLines,
		sourceType = opt.sourceType, 
	}) {
		let options = {
			auxiliaryCommentAfter, auxiliaryCommentBefore, comments, compact, 
			babelrc, env, parserOpts, plugins, presets, sourceType, 
		}
		result = babel.transform(code, options);
		code = result.code;
		return code;
	}
}

exports.task = task;
